kind: pipeline
type: docker
name: tmp-admin

steps:
  - name: build
    image: plugins/docker
    volumes:
      - name: hosts
        path: /etc/hosts
      - name: docker-ca
        path: /etc/docker
      - name: docker-sock
        path: /var/run/docker.sock
    settings:
      dockerfile: /drone/src/Dockerfile
      username:
        from_secret: aliyun_name
      password:
        from_secret: aliyun_password
      repo: registry.cn-hangzhou.aliyuncs.com/kpt-event/tmr-admin
      registry: registry.cn-hangzhou.aliyuncs.com
      tags: [ shengmu25 ]

trigger:
  branch:
    include:
      - develop
  event:
    include:
      - push

volumes:
  - name: host
    host:
      path: /etc/host
  - name: docker-ca
    host:
      path: /ect/docker
  - name: docker-sock
    host:
      path: /var/run/docker.sock
